This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 143252 - smp kernel fails with APIC interrupt problems on Via mobo
smp kernel fails with APIC interrupt problems on Via mobo
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-17 13:52 EST by brian naasz
Modified: 2015-01-04 17:14 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 20:16:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Boot log messages showing the problem (7.95 KB, text/plain)
2004-12-17 13:53 EST, brian naasz
no flags Details
lspci -v dump. (4.03 KB, text/plain)
2004-12-17 13:55 EST, brian naasz
no flags Details

  None (edit)
Description brian naasz 2004-12-17 13:52:00 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
Non-smp kernels run fine.  Fedora Core 2 ran fine.

Problem is I keep getting this when boot recent SMP kernels:

irq 9: Please try booting with acpi=off and report a bug
 [<c0107316>] __report_bad_irq+0x3a/0x77
 [<c010758d>] note_interrupt+0xea/0x115
 [<c01077cb>] do_IRQ+0xd5/0x130
 [<c02c7d14>] common_interrupt+0x18/0x20
 [<c02103a1>] serial_in+0x45/0x4a
 [<c0212161>] serial8250_console_write+0x6b/0x1b2
 [<c02120f6>] serial8250_console_write+0x0/0x1b2
 [<c01209ff>] __call_console_drivers+0x36/0x40
 [<c0120e0b>] release_console_sem+0x43/0xa9
 [<c0120d55>] vprintk+0x136/0x14a
 [<c0120c1c>] printk+0xe/0x11
 [<c01e6c61>] acpi_pci_irq_enable+0xba/0x159
 [<c039e5ea>] pci_acpi_init+0x3e/0x63
 [<c03847e1>] do_initcalls+0x49/0x8e
 [<c01004fc>] init+0xa6/0x177
 [<c0100456>] init+0x0/0x177
 [<c01041f1>] kernel_thread_helper+0x5/0xb
handlers:
[<c01cddeb>] (acpi_irq+0x0/0x14)
Disabling IRQ #9
 - using IRQ 12

Doing acpi=off hides it but my USB and other montherboard resources
disappear.

Version-Release number of selected component (if applicable):
every FC3/rawhide kernel tried up to  kernel-smp-2.6.9-1.1032_FC4

How reproducible:
Always

Steps to Reproduce:
1.Power on the box
2.Select the smp kernel
3.wait for it to eventualy hange detecting the ide drives
    

Actual Results:  Hangs and I have to hit the reset button to trigger a
reboot.

Expected Results:  Should have booted.

Additional info:

I am attaching my full boot message log and a lspci -v listing.
Its on my home machine so I can take it down to try fixs/patchs at need.
Comment 1 brian naasz 2004-12-17 13:53:37 EST
Created attachment 108818 [details]
Boot log messages showing the problem
Comment 2 brian naasz 2004-12-17 13:55:27 EST
Created attachment 108819 [details]
lspci -v dump.
Comment 3 Dave Jones 2005-07-15 15:36:52 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 4 Dave Jones 2005-10-02 20:16:49 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.